Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8179/?format=api
{ "ob_id": 8179, "uuid": "f85043abfb1bddd5fbaa857ef2d00b55", "title": "Theme 5 - Cryosphere and Polar Oceans - Ice Sheet Dynamics: Jakobshavn Glacier Velocity Maps (March-July 2011)", "abstract": "This dataset has been produced as part of the Theme 5 (Cryosphere and Polar Oceans) in the National Centre for Earth Observation which aims to use new EO data to quantify changes in the mass balance of the cryosphere and to develop new models to represent the relevant processes in coupled climate prediction models. \r\n\r\nThis dataset holds timeseries of Greenland glacier velocity fluctuations as maps for the period March-July 2011. The 37 velocity maps were derived from SAR data acquired during the 2011 ERS-2 3-day campaign. The velocity maps are 3-day velocity averages and are given in meters per year (m/y) (magnitude values). The name of the velocity files provides the start and end date of each 3-day period.\r\n\r\nThe velocity fields were transformed to map coordinates using the GLAS/ICESat 1 km Laser Altimetry Digital Elevation Model of Greenland which is provided at Polar Stereographic grids (DiMarzio, J., Brenner, A., Schutz, R., Schuman, A. & Zwally, H.J. (2007)): GLAS/ICESat 1 km laser altimetri digital elevation model of Greenland. Boulder, \r\nColorado USA: National Snow and Ice Data Centre. Digital media).\r\n", "keywords": "NCEO, Greenland, glacier, velocity", "publicationState": "published", "dataPublishedTime": "2012-06-27T18:04:39", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8180/?format=api", "dataPath": "/neodc/nceo-cryosphere/data/ice-sheet-dynamics/Greenland-Glacier-Velocity", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 596279843, "numberOfFiles": 39, "fileFormat": "Maps and images are stored as TIFF formatted file. A metadata readme file is associated with the files in the archive.\r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2342/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/179/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data prepared by authors and sent to NERC Earth Observations Data Centre (NEODC) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5279/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8615/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8175/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8172/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33092/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33097/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33091/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33093/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33094/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33095/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44489/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44492/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54740/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44490/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44491/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/13691/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }